For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
      • GETReturns all project tasks that the current user can see.
      • GETReturns all tags of the project tasks.
      • GETReturns all project tasks of the project with the specified id.
      • GETReturns the project task with the specified id.
      • POSTChanges the project of the task with the specified id.
      • GETReturns the type of work for the project with the specified id.
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceProject Tasks

Returns the type of work for the project with the specified id.

GET
https://api.awork.com/api/v1/projects/:projectId/typeofwork
GET
/api/v1/projects/:projectId/typeofwork
$curl https://api.awork.com/api/v1/projects/projectId/typeofwork \
> -H "Authorization: Bearer <token>"
1[
2 {
3 "id": "123e4567-e89b-12d3-a456-426614174000",
4 "name": "Sales Work",
5 "description": "Tasks related to sales dept.",
6 "icon": "attach_money",
7 "isArchived": true,
8 "createdOn": "2022-03-10T16:25:09.100Z",
9 "createdBy": "123e4567-e89b-12d3-a456-426614174000",
10 "updatedOn": "2022-03-10T18:55:00.500Z",
11 "updatedBy": "123e4567-e89b-12d3-a456-426614174000"
12 }
13]
The project can be a connected or a workspace project. User must have at least 'read' permissions on the 'project-planning-data' feature. <Check title="Required Permissions" icon="key">Any authenticated user.</Check>
Was this page helpful?
Previous

Returns all private tasks that the current user created and assigned to someone else.

Next
Built with

The project can be a connected or a workspace project. User must have at least ‘read’ permissions on the ‘project-planning-data’ feature.

Required Permissions
Any authenticated user.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdstringRequiredformat: "uuid"
The id of the project.

Response

OK
idstringformat: "uuid"
The id of the task type.
namestring or null
The name of the task type.
descriptionstring or null

A short (max. 140 characters) description of the task type.

iconstring or null
The icon associated with this task type.
isArchivedboolean
Whether the type of work has been archived.
createdOnstringformat: "date-time"
The date this entity was created.
createdBystringformat: "uuid"
The id of the user who created this entity.
updatedOnstringformat: "date-time"
The date this entity was last modified.
updatedBystringformat: "uuid"
The id of the user who last modified this entity.

Errors

401
Unauthorized Error
404
Not Found Error